View Issue Details

IDProjectCategoryView StatusLast Update
15160Bug reports[All Projects] Otherpublic2019-10-14 13:57
Reportercdorin Assigned Todominikvitt  
PriorityurgentSeveritymajor 
Status closedResolutionfixed 
Product Version4.0.0-RC3 
Target VersionFixed in Version 
Summary15160: Upload button not working - no response (File Upload question type)
Description

Create a file upload question type, activate the survey, try to upload a file. No response

Additional Information

Thank you @GuernseyResearch for the notification.

Tagssprint
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

uibklime1

uibklime1

2019-09-18 14:24

reporter   ~53623

We are experiencing this after upgrading to v 3177. Can anyone else confirm? Files get "stuck" in tmp/uploads/

uibklime1

uibklime1

2019-09-18 14:41

reporter   ~53625

Appears to be related to https://bugs.limesurvey.org/view.php?id=14989 which was only partially fixed in 31716

DenisChenu

DenisChenu

2019-09-24 14:29

developer   ~53700

ulbklime1 : Here it's a 4.0 issue, for 3.X issue : please test with last LimeSurvey 3.X version (and what is a 3177 ?)

DenisChenu

DenisChenu

2019-09-24 16:26

developer   ~53701

@dominikvitt : if it's a child of https://bugs.limesurvey.org/view.php?id=14989 for develop, can assign it to me :)

dominikvitt

dominikvitt

2019-09-25 08:09

developer   ~53705

@DenisChenu: no, it is a different issue, I'll do it

dominikvitt

dominikvitt

2019-10-07 13:38

developer   ~53919

This issue is partially fixed, because assets for questions/upload module still need to be compiled before it actually works.
https://github.com/LimeSurvey/LimeSurvey/commit/c6a240eac75da35be3119d9d815f5047a56f03cc

When assets are compiled, then this issue would be completely fixed.

lime_release_bot

lime_release_bot

2019-10-14 13:57

administrator   ~54035

Fixed in Release 4.0.0-RC5+191014

Issue History

Date Modified Username Field Change
2019-08-16 11:42 cdorin New Issue
2019-08-16 11:42 cdorin Status new => assigned
2019-08-16 11:42 cdorin Assigned To => p_teichmann
2019-09-09 10:16 c_schmitz Assigned To p_teichmann =>
2019-09-09 10:16 c_schmitz Priority none => urgent
2019-09-09 10:16 c_schmitz Status assigned => new
2019-09-09 10:42 c_schmitz Tag Attached: sprint
2019-09-18 14:24 uibklime1 Note Added: 53623
2019-09-18 14:41 uibklime1 Note Added: 53625
2019-09-24 11:45 dominikvitt Assigned To => dominikvitt
2019-09-24 11:45 dominikvitt Status new => assigned
2019-09-24 14:29 DenisChenu Note Added: 53700
2019-09-24 15:22 c_schmitz Status assigned => testing
2019-09-24 15:23 c_schmitz Status testing => assigned
2019-09-24 16:26 DenisChenu Note Added: 53701
2019-09-25 08:09 dominikvitt Note Added: 53705
2019-10-07 13:38 dominikvitt Note Added: 53919
2019-10-14 13:57 lime_release_bot Note Added: 54035
2019-10-14 13:57 lime_release_bot Status assigned => closed
2019-10-14 13:57 lime_release_bot Resolution open => fixed